Package org.apache.commons.lang3

## Interface Functions.FailableConsumer<O,​T extends java.lang.Throwable>

Type Parameters:
  `O` - Consumed type 1.
  `T` - Thrown exception.

Enclosing class:
  Functions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated
    @FunctionalInterface
    public static interface Functions.FailableConsumer<O,​T extends java.lang.Throwable>

Deprecated.
Use `FailableConsumer`.
A functional interface like `Consumer` that declares a `Throwable`.

TODO for 4.0: Move to org.apache.commons.lang3.function.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `accept​(O object)` Deprecated. Accepts the consumer.

### Method Detail

#### accept

    void accept​(O object)
         throws T extends java.lang.Throwable

Deprecated.
Accepts the consumer.

Parameters:
  `object` - the parameter for the consumable to accept
Throws:
  `T` - Thrown when the consumer fails.
  `T extends java.lang.Throwable`